Subject: bug#52973: Adding a few context-menu-mode commands

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jan 2022 19:36:03 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Wed, 12 Jan 2022 19:16:22 +0200
> 
> > How do we make sure stuff like "foo(1)" doesn't cause a lot of false
> > positives when applied in modes whose idea of what that means is very
> > different from Man-mode?

I don't think you answered my question above.

> For example, today while editing a shell script I needed to consult the
> man page about the arguments of the command `zenity` used in the script.
> It takes too many keystrokes to type `M-x man RET zenity RET'
> or first to move point to this command, then to type `M-x man RET RET'.
> 
> With the context menu, it's just one click: press the right mouse button
> on the command name, select the item "Open man page", and release the
> mouse button.
> 
> As you can see, there is no special syntax "foo(1)" used in the script.
> The context menu item "Open man page" might be useful on any word
> that can show a man page for any command or function.
> 
> This means that the item "Open man page" can't be added to the
> context menu by default, because it makes no sense most of the time.

I don't get it: is the "Open man page" item in the context menu useful
or is it useless?  The beginning of your description sounds like
saying that it's useful, and I almost wanted to ask: so you assume
that the user will decide when this item makes sense or not, and
therefore we shouldn't be bothered by potential false positives?"

But then you say that this item is mostly useless and shouldn't be in
the context menu by default?  That sounds like a contradiction of the
success story with which you started, where the existence of the menu
item is a win, isn't it?

And then this conclusion:

> But when a user can tolerate this mostly useless menu item,
> then the user could customize the context-menu-functions
> and add the item that is used occasionally.

How would the user decide whether he can tolerate this mostly useless
menu item?  And why should this burden be on the user's shoulders?